aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMarkus Uhlin <markus@nifty-networks.net>2023-12-23 00:19:19 +0100
committerMarkus Uhlin <markus@nifty-networks.net>2023-12-23 00:19:19 +0100
commitac708b13f36f3a5e1d078911e944b26819cb959d (patch)
treea3e55dc6e769fcf19d99935eca237aa56d0f2b21 /scripts
parentf647d013637800c4095ea0f9d13d88d652d9de59 (diff)
i-data-stats.sh -- initial revision
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/i-data-stats.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/scripts/i-data-stats.sh b/scripts/i-data-stats.sh
new file mode 100755
index 0000000..311b0ad
--- /dev/null
+++ b/scripts/i-data-stats.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# SPDX-FileCopyrightText: 2023 Markus Uhlin <maxxe@rpblc.net>
+# SPDX-License-Identifier: ISC
+
+i_data_stats () {
+ local _path _files
+
+ _path="${1}"
+ _files="
+logons.log
+newratingsV2_data
+rank.blitz
+rank.std
+rank.wild
+"
+
+ echo "installing..."
+
+ for file in ${_files}; do
+ printf "creating '%s': " "${_path}/${file}"
+ if [ -r "${_path}/${file}" ]; then
+ echo "already exists (good)"
+ else
+ cat /dev/null > "${_path}/${file}"
+ if [ $? -eq 0 ]; then
+ echo "ok"
+ else
+ echo "error"
+ fi
+ fi
+ done
+}
+
+i_data_stats "${1}"